Bug 452480 - Kmail doesn't display calendar invites
Summary: Kmail doesn't display calendar invites
Status: REOPENED
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: 5.19.80
Platform: Other Linux
: NOR normal with 50 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 452507 453093 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-04-10 19:37 UTC by Cyrille Dunant
Modified: 2022-06-19 15:30 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cyrille Dunant 2022-04-10 19:37:14 UTC
SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***


STEPS TO REPRODUCE
1.  receive invitation
2. mail displays calendar message on the side, but prints the source
3. clicking on the HTML/text bar makes the calendar message disapeaer

OBSERVED RESULT

as above. displays something like...
BEGIN:VCALENDAR
METHOD:REQUEST
PRODID:Microsoft Exchange Server 2010
VERSION:2.0
BEGIN:VTIMEZONE
TZID:GMT Standard Time
BEGIN:STANDARD
DTSTART:16010101T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
RRULE:FREQ=YEARLY;INTERVAL=1;BYDAY=-1SU;BYMONTH=10
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:16010101T010000
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
RRULE:FREQ=YEARLY;INTERVAL=1;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
END:VTIMEZONE
EXPECTED RESULT

accept/reject buttons.

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: latest from opensuse
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Cyrille Dunant 2022-04-11 10:07:04 UTC
In the messages, there is a suspiciously large number of parse error from icalcomponent new from string, because it's receiving empty strings.
Comment 2 Cyrille Dunant 2022-04-21 19:58:46 UTC
I solved the bug: it is a packaging error: the library kcalendar_grantlee_plugin.so is wrongly put in /usr/lib64/KTextTemplate/kcalendar_grantlee_plugin.so instead of the grantlee/5.2/ directory.

I'm not too sure how to proceed, but there is either a bug in the build of the opensuse packaging system.
Comment 3 Laurent Montel 2022-04-22 17:06:33 UTC
Indeed I made this bug.
Sorry. Patch will commit now.
Comment 4 Laurent Montel 2022-04-22 17:07:10 UTC
Git commit 494331a28bb722b4ab4c38a2520f305b8f7ad8fa by Laurent Montel.
Committed on 22/04/2022 at 17:06.
Pushed by mlaurent into branch 'release/22.04'.

Fix Bug 452480: Kmail doesn't display calendar invites
FIXED-IN: 5.17.1

M  +9    -3    src/grantlee_plugin/CMakeLists.txt

https://invent.kde.org/pim/kcalutils/commit/494331a28bb722b4ab4c38a2520f305b8f7ad8fa
Comment 5 Laurent Montel 2022-04-22 17:09:15 UTC
5.20.1
Comment 6 Christophe Giboudeaux 2022-04-27 17:39:38 UTC
*** Bug 453093 has been marked as a duplicate of this bug. ***
Comment 7 Kishore Gopalakrishnan 2022-04-29 13:25:33 UTC
*** Bug 452507 has been marked as a duplicate of this bug. ***
Comment 8 Peter 2022-05-03 16:12:44 UTC
Just noticed this problem today (KDE Neon 5.24 User Edition with  KMail Version 5.20.0 (22.04.0)).  Excellent news that there's already a fix.  Can you say when Kmail 5.20.1 will be released for KDE Neon User Edition?  

Many thanks and regards
Comment 9 me 2022-05-09 06:48:51 UTC
In reply to Peter from comment #8)
> Just noticed this problem today (KDE Neon 5.24 User Edition with  KMail
> Version 5.20.0 (22.04.0)).  Excellent news that there's already a fix.  Can
> you say when Kmail 5.20.1 will be released for KDE Neon User Edition?  

same problem here...

according to https://community.kde.org/Schedules/KDE_Gear_22.04_Schedule the release is scheduled for the 9. of May
Comment 10 Peter 2022-05-12 21:21:56 UTC
Sorted with this evenings update to KDE Neon.  Many thanks.
Comment 11 kde-bugs-io-drsf32 2022-06-03 18:37:53 UTC
Sorry, but 5.20.1 here and I still get vcalendar as plaintext with no obvious way to interact. Did I miss something essential?
Comment 12 kde-bugs-io-drsf32 2022-06-12 20:43:01 UTC
(In reply to kde-bugs-io-drsf32 from comment #11)
> Sorry, but 5.20.1 here and I still get vcalendar as plaintext with no
> obvious way to interact. Did I miss something essential?

Update: 5.20.2 , still not working.
Comment 13 Christopher Yeleighton 2022-06-19 15:30:42 UTC
(In reply to kde-bugs-io-drsf32 from comment #12)
> Update: 5.20.2 , still not working.

Have you tried running it from our official medium?